#!/bin/bash

#
# Factorize for 2010.0
#

KRCFG="$(which kreadconfig)"

if [ ! -z "$KRCFG" ]; then # Check if kde is installed, otherwise do nothing

    # Powersave applet

    CFGFILE="/etc/sysconfig/harddrake2/kernel"
    PSAVE=$(kreadconfig --group "blackPanther" --key "PowersaveApplet" --default "false")
    LAP=$(kreadconfig --file "/etc/sysconfig/harddrake2/kernel" --key IS_LAPTOP --default "false")

    if [ "$LAP" = "true" ]; then
    	if [ ! "$PSAVE" = "true" ]; then
    		if [ ! -f "$HOME/.kde4/share/config/plasma-desktop-appletsrc" ]; then
    			mkdir -p $HOME/.kde4/share/config
    			cat >> $HOME/.kde4/share/config/plasma-desktop-appletsrc << EOF

[Containments][2][Applets][9][Configuration][Applets][19]
geometry=298,0,24,24
immutability=1
plugin=battery
zvalue=0

[Containments][2][Applets][9][Configuration][Applets][19][Configuration]
Share=false
showMultipleBatteries=false

[Containments][2][Applets][9][Configuration][Applets][19][Configuration][ExtenderItems][4]
extenderIconName=battery
extenderItemName=powermanagement
extenderItemPosition=0
isCollapsed=false
sourceAppletId=19
sourceAppletPluginName=battery
EOF
    			kwriteconfig --group "blackPanther" --key "PowersaveApplet" --type "bool" 1
    		fi
    	fi
    fi


    # "Desktop" blackPanther icons"
    PSAVE=$(kreadconfig --group "blackPanther" --key "blackPantherIcons" --default "false")

    if [ ! "$PSAVE" = "true" ]; then
        PROD=$(sed 's/.*product=\(.*\)/\L\1/' < /etc/product.id)
        # We should handle i18n dir modes in xgd user dirs
        DIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DESKTOP_DIR)" )
        if [ -z $DIR ]; then
            DIR="$HOME/Desktop"
        fi

        if [ ! -d "${DIR}" ]; then
            mkdir -p "${DIR}"
        fi
        cp -f /usr/share/mdk/desktop/${PROD}/*.desktop "${DIR}"
        kwriteconfig --group "blackPanther" --key "blackPantherIcons" --type "bool" 1
    fi

    # blackPantherlauncher is simplelauncher now
    PSAVE=$(kreadconfig --group "blackPanther" --key "NewLauncher" --default "false")

    if [ ! "$PSAVE" = "true" ]; then
               RES="$HOME/.kde4/share/config/plasma-desktop-appletsrc"
               [ -f $RES ] && sed -i "s,blackPantherlauncher,simplelauncher,g" $RES
        kwriteconfig --group "blackPanther" --key "NewLauncher" --type "bool" 1
    fi

    # Copy the "Welcome" icon on the desktop

    WELCOME=$(kreadconfig --group "blackPanther" --key "Welcome" --default "false")

    if [ ! "$WELCOME" = "true" ]; then
        # We should handle i18n dir modes in xgd user dirs
        DIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DESKTOP_DIR)" )
        if [ -z $DIR ]; then
            DIR="$HOME/Desktop"
        fi

        if [ ! -d "${DIR}" ]; then
            mkdir -p "${DIR}"
        fi
        if [ -x /usr/bin/blackPanther-profiler ]; then
          cp -f /usr/share/applications/kde4/blackPanther-profiler.desktop "${DIR}"
        fi

        kwriteconfig --group "blackPanther" --key "Welcome" --type "bool" 1
	fi
   fi
